import request from '@/utils/request'

// 查询科目组合列表
export function listGroups(query) {
  return request({
    url: '/dz/groups/list',
    method: 'get',
    params: query
  })
}

// 查询科目组合详细
export function getGroups(groupId) {
  return request({
    url: '/dz/groups/' + groupId,
    method: 'get'
  })
}

// 新增科目组合
export function addGroups(data) {
  return request({
    url: '/dz/groups',
    method: 'post',
    data: data
  })
}

// 修改科目组合
export function updateGroups(data) {
  return request({
    url: '/dz/groups',
    method: 'put',
    data: data
  })
}

// 删除科目组合
export function delGroups(groupId) {
  return request({
    url: '/dz/groups/' + groupId,
    method: 'delete'
  })
}
